Get OAuth Code API

This API is used to Get Auth Code which is appended into base URL to open the card binding webview.

Service Code: 30

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

System will redirect the customer to the redirectUrl after a successful card binding.

string

System will redirect the customer to the failureRedirectUrl after a failed card binding.

string
required

Scope of authorizations.
Possible values:

  • CARD_REGISTRATION
string
required
length between 32 and 32

Random 32 character string, unique per request.

string
required
length between 6 and 6

This field is a 6 char merchant identifier that is unique per each merchant. The exact value is disclosed to each merchant separately.

string
required
length between 2 and 2

Optional. If the 'lang' parameter is specified in the query, the default value for initializing the user interface will be configured to the specified parameter value. In the absence of the 'lang' parameter, the default configuration for the user interface will be set to ID.
Possible Values:

  • ID
  • EN
string
required

Possible fields inside 'seamlessData':

  • mobileNumber
  • bankCode
  • userId
No parameter is mandatory inside the 'seamlessData' field but at least 'mobileNumber' or 'userId' must be provided.

The 'mobileNumber' field represents the phone number of the customer and it should have minimum 9 numbers and a maximum of 13 number.

The 'userId' field represents the unique identifier of the client (whatever is required by the merchant). If should have a maximum of 20 alphanumeric characters and can contain only these 3 special characters: '/', '-', '_'.

The 'bankCode' field represents the bank code. It is a string of 3 numbers.

string

The additionalInfo value must:

  • Have a maximum length of 100 characters.
  • Have a minimum length of 1 character.
  • Be alphanumeric, with the following special characters allowed: ` (space)`, `@`, `.`, `-`, `_`, `+`, `*`, `!`, `~`

To display additional values on the dashboard, the values should be strings. Use the keys:
  • additionalInfo1
  • additionalInfo2
  • additionalInfo3
Headers
string
enum
required
length between 16 and 16

Represents the media type that the client is able to accept from the server (e.g. application/json).

Allowed:
string
required

Represents the access_token of a request; string starts with the keyword "Bearer " followed by the access_token.

string
required
length between 24 and 27

Client's current local time in yyyy-MM-ddTHH:mm:ss.SSSTZD format.

string
length between 32 and 32

Client's client_id (PJP Name). It is provided when the registration process is completed.

string
required

Represents signature of a request. Symmetric signature: HMAC_SHA512(clientSecret, stringToSign).

stringToSign = HTTPMethod +":"+ URLPath +":"+ AccessToken +":"+ Lowercase(HexEncode(SHA-256(minify(RequestBody))))+":" + X-TIMESTAMP

string
required
length between 6 and 6

This field is a 6 char merchant identifier that is unique per each merchant. The exact value is disclosed to each merchant separately.

string
required
length between 32 and 32

Alphanumeric String. Reference number that should be unique in the same flow.

string
required
length between 5 and 5

Numeric String. PJP's channel id. Device identification on which the API services is currently being accessed by the end user (customer). Must be the same in one flow.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json